WC3 Download Archive (1.00 - 1.31.1 + BETA & DEMO)

Level 14
Joined
Feb 25, 2013
Messages
239
You can't. PTR is already integrated in Reforged client, so if you attempt to start the game, it will auto-update to non-PTR version of Reforged.
Not really, just like you can play normal 1.31.1, you should also be able to play 1.31.1 PTR if you can find the full folder. I had the PTR before 1.32 got released, but deleted it long ago thinking there's not much use to it - disregarding the higher patch number due to some reason I can no longer remember
 
Level 15
Joined
Nov 12, 2016
Messages
745
You can't. PTR is already integrated in Reforged client, so if you attempt to start the game, it will auto-update to non-PTR version of Reforged.

Yeah like Bogdan pointed out, i'm technically trying to scour the void of the internet to actually find someone who has saved the 1.31.1PTR
 
Level 19
Joined
May 14, 2021
Messages
518
Can I still use the version switcher with these updated files?
WVS was no longer supported for the recent patches because the MPQ file that used to patch the game were changed to CASC with 1.30+.
Currently, switching between the WC3 versions is obsolete, even with other tools like Warcraft 3 Assistant, because it might led to an unprecedented result in your game itself (such as game crashing).
If you want to play older versions, you might want two Warcraft III versions be installed a different folders, as Bogdan suggested.
 
Level 5
Joined
May 3, 2014
Messages
90
WVS was no longer supported for the recent patches because the MPQ file that used to patch the game were changed to CASC with 1.30+.
Currently, switching between the WC3 versions is obsolete, even with other tools like Warcraft 3 Assistant, because it might led to an unprecedented result in your game itself (such as game crashing).
If you want to play older versions, you might want two Warcraft III versions be installed a different folders, as Bogdan suggested.
Alright so that's one program deleted
I also can't go full screen for some reason
Do I need to delete 1.27 and 1.28.5 files to run 1.30+?
 
Level 19
Joined
May 14, 2021
Messages
518
Alright so that's one program deleted
I also can't go full screen for some reason
Do I need to delete 1.27 and 1.28.5 files to run 1.30+?
You can have multiple versions of WC3 installed on one computer, but the only thing that you must known is the registry key. If you attempt to install those simultaneously, you'll have to purge the registry because there were obvious keys that aren't compatible with specific versions of WC3.
For the full screen thing, you might need to run the game using the "-nativefullscr" or "-windowmode fullscren". If you are using 1.31, you can change it through the Game Options itself.
 
Level 14
Joined
Feb 25, 2013
Messages
239
Alright so that's one program deleted
I also can't go full screen for some reason
Do I need to delete 1.27 and 1.28.5 files to run 1.30+?
Old versions won't affect new versions negatively, for going into full-screen, have you tried alt+enter? Every version 1.28+ supports that hotkey.
As for purging the registry, not recommended as the only versions that can break are older ones and only upon changing things from inside newer ones (1.26 breaks if you change graphics settings using 1.28+, 1.28 breaks if your save directory is written to the registry by 1.29+, and only up to 1.31.1, 1.32's settings won't break the game, but if you open the 1.32 WorldEditor then all old ones will stop working).
If any version completely refuses to run, only then should you even consider deleting anything in the registry unless you know exactly what you're doing.
 
Level 19
Joined
May 14, 2021
Messages
518
Can we get all Spanish, Italian, German clients for patch 1.29 to 1.31. We international players would appreciate it. :)
There is an alternate way to get this non-English version of Warcraft 3, which can be found here.
However, the usual way, which is a Blizzard Classic Downloader, that was pointed from this post, will automatically install the 1.27 version of the game, after which you can only update your game to 1.27b. Patching the game again will "turn" the whole game into Reforged.
For 1.30 and 1.31, it is possible to change the in-game language from English to your own language:
2. Language Fix:
  • The game might launch using the language of your operating system. It worked fine for me, though other users reported stuttering.
  • The reason why the language changes is due to to missing registry files. To solve that issue, download the Language Fix registry file from the link above and run it. It will ask you for confirmation. Click yes. This will automatically add the registry files and set the language of your game to English.
  • If you'd prefer to manually add the missing registry keys instead, refer to this post for the directory and types / values of keys - link.
The directory for the language registry is in "HKEY_CURRENT_USER\Software\Blizzard Entertainment\Classic Launcher\w3".
You need to create a string value named "Locale", then change it to any language codes. Default is "enUS".
 
Level 14
Joined
Feb 25, 2013
Messages
239
I have the 1.31.1 PTR files. It does have a slightly higher build number. Main menu states 1.31.1.12173.
That is the latest PTR indeed. I've found the files for it on an old PC in the meantime, but I wonder if Ralle might want it to be uploaded to this list as well. Sadly it's not without issues (as is the case with most PTRs) but someone might have use for it.
Either way, thanks for reaching out!
 
Level 14
Joined
Feb 25, 2013
Messages
239
Would I be able to run all of the upscaled Warcraft III cinematics in the classic client using MPQ file format, has someone already done this? :)
The files in the "movies" folder are all just RIFF files (specifically AVI if the community documentation is correct), so if you get the upscaled cinematics into the correct format, you can override these files by name and play your cinematics instead
 
Level 1
Joined
Jul 12, 2022
Messages
7
hello, i try launch nirvana mod, wanna play for naga race but this error show up
1657827495424.png
, my version game 1.31
 
Level 19
Joined
May 14, 2021
Messages
518
hello, i try launch nirvana mod, wanna play for naga race but this error show upView attachment 403441, my version game 1.31
Nirvana is an older mod that uses the custom "War3.mpq". As far as I can tell, latest versions of Warcraft 3 starting from 1.30 doesn't use this MPQ format anymore due to the CASC. Although you can still use the "War3Mod.mpq" trick to load this mod at the expense of the regular MPQ, as this guy's post said, can't guarantee that Nirvana works on the latest version due to the numerous technical bugs.
If you still want to use the mod with the risk of being caught by the problems, you'll have to enable this first (Allow Local Files). After that, use Ladik's MPQ Editor to locate "Nirvana.mpq" and extract all contents to your game directory (the one with 3 folders and the Game Launcher itself).
 
Level 1
Joined
Jun 18, 2022
Messages
7
The files in the "movies" folder are all just RIFF files (specifically AVI if the community documentation is correct), so if you get the upscaled cinematics into the correct format, you can override these files by name and play your cinematics instead
Is there a forum post with the download links to the upscaled cinematics?
 
Level 1
Joined
Jun 18, 2022
Messages
7
There is an alternate way to get this non-English version of Warcraft 3, which can be found here.
However, the usual way, which is a Blizzard Classic Downloader, that was pointed from this post, will automatically install the 1.27 version of the game, after which you can only update your game to 1.27b. Patching the game again will "turn" the whole game into Reforged.
For 1.30 and 1.31, it is possible to change the in-game language from English to your own language:

The directory for the language registry is in "HKEY_CURRENT_USER\Software\Blizzard Entertainment\Classic Launcher\w3".
You need to create a string value named "Locale", then change it to any language codes. Default is "enUS".
Here is a nice example of the state of these broken patches that came after 1.28. So it would be nice to have the last stable version with widescreen support and with the Spanish, Italian, French and others dubs implemented correctly before the transition from MPQ to Cask.
 
Last edited:
Level 8
Joined
Feb 20, 2020
Messages
123
Here is a nice example of the state in these broken patches that came after 1.29. So it would be nice to have the last stable version with widescreen support and with the Spanish, Italian, French and others dubs implemented correctly before the transition from MPQ to Cask.
Terrain tileset is broken and campaign AI And maps are broken on 1.29 compared to 1.26/27
even replacing some models makes the game doesn't agree with them.

had this issue months ago before my Hard Drive got locked into Death
 
Level 1
Joined
Jun 18, 2022
Messages
7
Terrain tileset is broken and campaign AI And maps are broken on 1.29 compared to 1.26/27
even replacing some models makes the game doesn't agree with them.

had this issue months ago before my Hard Drive got locked into Death
I did not know that, in this case it is audio files that are messed up. Mixing all other languages with English lines depending on your version.
Maybe a more stable version would be 1.28? I would need to test it.
 
Last edited:
Level 1
Joined
Jun 19, 2022
Messages
2
Here is a nice example of the state of these broken patches that came after 1.28. So it would be nice to have the last stable version with widescreen support and with the Spanish, Italian, French and others dubs implemented correctly before the transition from MPQ to Cask.

The same errors appear in the Polish language version.

Check out the Undead Campaign mission number 2 and see if you have votes in the cutscene at the beginning.

I mean this mission:

 
Level 19
Joined
May 14, 2021
Messages
518
Here is a nice example of the state of these broken patches that came after 1.28. So it would be nice to have the last stable version with widescreen support and with the Spanish, Italian, French and others dubs implemented correctly before the transition from MPQ to Cask.
I did not know that, in this case it is audio files that are messed up. Mixing all other languages with English lines depending on your version.
Maybe a more stable version would be 1.28? I would need to test it.
The same errors appear in the Polish language version.

Check out the Undead Campaign mission number 2 and see if you have votes in the cutscene at the beginning.

I mean this mission:

Bugs in Warcraft 3 since 1.31 update

The link that I posted above will show you about numerous problems encountered in the single player campaigns. There are a LOT of bugs that's still present with the latest versions of WC3. I heard that notable problems if you have the latest versions of WC3 was:
1.Missing hero inventory. This was happened on during two missions where you control as Grom and Tyrande during the second mission.
2.Map Transition don't work. Rexxar campaign and the other campaigns with this feature seems to be unplayable. If you complete the sub-map and return back to the main map, the game will reset its checkpoint entirely. In other words, you'll have to start it all the way over.
3.Broken strings. Some objects have "P" letters instead of their regular names when you select each of them. Orc Shaman during the TFT credits is shown as "null".
4.Mission that requires you to possess the enemy seems to be bugged. In the Undead campaign (Bandit and Ogre) and the CotF campaign (Murloc), their cohorts don't count towards your troops once you take control of their leaders, making this quest impossible to complete.
5.Missing audio dialogue. This was also happened during the fourth TFT Night Elf mission, where Maiev is about to escort the runner.

In addition, loading a saves can "alter" the whole gameplay because any unit-event triggers will get destroyed. This makes completing the campaign nearly impossible on 1.31. As a result, it is NOT RECOMMENDED to use that version if you want to play custom campaigns.
 
Level 8
Joined
Feb 20, 2020
Messages
123
Bugs in Warcraft 3 since 1.31 update

The link that I posted above will show you about numerous problems encountered in the single player campaigns. There are a LOT of bugs that's still present with the latest versions of WC3. I heard that notable problems if you have the latest versions of WC3 was:
1.Missing hero inventory. This was happened on during two missions where you control as Grom and Tyrande during the second mission.
2.Map Transition don't work. Rexxar campaign and the other campaigns with this feature seems to be unplayable. If you complete the sub-map and return back to the main map, the game will reset its checkpoint entirely. In other words, you'll have to start it all the way over.
3.Broken strings. Some objects have "P" letters instead of their regular names when you select each of them. Orc Shaman during the TFT credits is shown as "null".
4.Mission that requires you to possess the enemy seems to be bugged. In the Undead campaign (Bandit and Ogre) and the CotF campaign (Murloc), their cohorts don't count towards your troops once you take control of their leaders, making this quest impossible to complete.
5.Missing audio dialogue. This was also happened during the fourth TFT Night Elf mission, where Maiev is about to escort the runner.

In addition, loading a saves can "alter" the whole gameplay because any unit-event triggers will get destroyed. This makes completing the campaign nearly impossible on 1.31. As a result, it is NOT RECOMMENDED to use that version if you want to play custom campaigns.
The AI is all over the place too.

in 1.29, i had the human heathglen mission being even more aggressive under hard than "normal", with the undead units almost instantly spawning.
 
Level 19
Joined
May 14, 2021
Messages
518
The AI is all over the place too.

in 1.29, i had the human heathglen mission being even more aggressive under hard than "normal", with the undead units almost instantly spawning.
AI seems to be bugged during the mission involving "attack waves" on "hard" mode, even "Twilight of the Gods" one.

In "Twilight of the Gods", the attack wave seems to be indefinitely without resetting back to weaker troops, even after either Human or Orc base was completely destroyed, making this chapter fully impossible to complete.
 
Level 8
Joined
Feb 20, 2020
Messages
123
AI seems to be bugged during the mission involving "attack waves" on "hard" mode, even "Twilight of the Gods" one.

In "Twilight of the Gods", the attack wave seems to be indefinitely without resetting back to weaker troops, even after either Human or Orc base was completely destroyed, making this chapter fully impossible to complete.
i noticed this too, in the past i managed to cheese the entire mission without using cheats, now is borderline impossible because they instantly spawn or archimonde is now positioning himself closer to the NE base after the second base is destroyed, which agroes him all time and makes defense useless.
 
Level 19
Joined
May 14, 2021
Messages
518
Well, does anyone have the 1.28.5, Spanish version?
Use this old trick to play 1.28.5 on your own language. However, be warned that it's very obsolete because changing in-game language is completely different in the latest version of WC3. The latest build of Warcraft III is completely multilanguages, which can be changed through the in-game registry (in "Classic Launcher/w3/Locale"). If you want to get the 1.28.5 file, you should go to Eurobattle.net website and download the archive here.
 
Level 2
Joined
Jan 5, 2022
Messages
14
Hello, I have a question. I want to play 1.07 TFT but I already have 1.26a on my computer. I tried to at least download 1.10, ran the pathcer, but got an error message and it doesn't allow me to go to that patch because I have a better/newer one. How do I fix?
 
Level 14
Joined
Feb 25, 2013
Messages
239
Hello, I have a question. I want to play 1.07 TFT but I already have 1.26a on my computer. I tried to at least download 1.10, ran the pathcer, but got an error message and it doesn't allow me to go to that patch because I have a better/newer one. How do I fix?
If 1.07 is an installer, not a patcher. To get 1.07 to work, install 1.00 ROC first, then run 1.07, and it should let you get there
 
Level 2
Joined
Jan 5, 2022
Messages
14
I tried to put my wc3 on a zip file and re install
My PC doesn't recognise the TFT CD. I've tried it on another pc, with the same cd driver and it ok. RoC cd has no problems, TFT cd does.
When I originally installed TFT, I did it with a 1.21b blizz installer (I have the keys)
 
Level 14
Joined
Feb 25, 2013
Messages
239
My PC doesn't recognise the TFT CD. I've tried it on another pc, with the same cd driver and it ok. RoC cd has no problems, TFT cd does.
I've had that issue when I used real CDs in the past. 1.24 or something removed the need for CDs, and since windows 10 doesn't allow most cd-based DRMs for security reasons, you might just be out of luck. Alternatively, search for a no-cd modification to the game?
 
Top